function [Irep]=EMGcalc(parameter,Esv)

% function [Irep]=EMGcalc(parameter,Esv);

%-------------------------------------------
%-------------------------------------------
% parameter=[a;b;c;d]
%
% Esv=[exist(i,:);(E+zeros)]
%-------------------------------------------
%-------------------------------------------

[nothing,ncomp]=size(parameter);
[nr,nothing]=size(Esv);
npot=(nr-2);

a=parameter(1,:);%variables to optimize
b=parameter(2,:);
c=parameter(3,:);
d=parameter(4,:);

%exist or not
exist=Esv(1,:);
alg=Esv(2,:);
%Potential range
E=Esv(3:end,1);
I=zeros(npot,1);

for k=1:ncomp,
    if exist(1,k)==1 & alg(1,k)==1
       Ic1=(a(:,k)/(2.*d(:,k))).*exp((c(:,k)^2)/(2.*(d(:,k)^2))-(E-b(:,k))/d(:,k)).*erfc(2^(-0.5)*(c(:,k)/d(:,k)-(E-b(:,k))/c(:,k)));
       I=I+Ic1;
    end
    if exist(1,k)==1 & alg(1,k)==2
       Ic2=(a(:,k)/(2.*d(:,k))).*exp((c(:,k)^2)/(2.*(d(:,k)^2))+(E-b(:,k))/d(:,k)).*erfc(2^(-0.5)*(c(:,k)/d(:,k)+(E-b(:,k))/c(:,k)));
       I=I+Ic2;
    end   
    if exist(1,k)==1 & alg(1,k)==0
        v1(:,k)=a(1,k)*exp(-c(1,k)*(E-b(1,k)).^2);%left side 
        v2(:,k)=a(1,k)*exp(-d(1,k)*(E-b(1,k)).^2);%right side
			for j=1:npot, 
				if E(j,1) < b(1,k), v(j,k)=v1(j,k); 
				else v(j,k)=v2(j,k); 
                end
            end
        Ic0=a(:,k)*v(:,k)';
        I=I+Ic0';
     end  
end

Irep=I;
